Bug 144717 - Newest initscripts incompatible with mdmonitor init script
Newest initscripts incompatible with mdmonitor init script
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
:
Depends On:
Blocks: FC4Blocker
  Show dependency treegraph
 
Reported: 2005-01-10 17:03 EST by Jonathan Kamens
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-27 19:25:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch that fixes (or at least works around) the bug (677 bytes, patch)
2005-01-27 15:04 EST, Alexandre Oliva
no flags Details | Diff

  None (edit)
Description Jonathan Kamens 2005-01-10 17:03:56 EST
jik:~!1018$ rpm -q mdadm initscripts
mdadm-1.6.0-2
initscripts-8.02-1
jik:~!1019$ sudo service mdmonitor start
Password:
Starting mdmonitor: --monitor: -c: line 0: unexpected EOF while
looking for matching `"'
--monitor: -c: line 1: syntax error: unexpected end of file
cat: /var/run/mdadm/mdadm.pid: No such file or directory   [FAILED]
                                                           [FAILED]
Comment 1 Alexandre Oliva 2005-01-27 15:04:04 EST
Created attachment 110316 [details]
patch that fixes (or at least works around) the bug

The daemon function will only feed its arguments to a shell if the --user
option is present, so how about this patch?
Comment 2 Alexandre Oliva 2005-03-16 14:17:05 EST
Still broken in FC4test1
Comment 3 Alexandre Oliva 2005-04-18 14:27:01 EDT
Still broken in FC4test2.  The patch in comment #1 still fixes it.  Any reason
why it's still not in?
Comment 4 Jeremy Katz 2005-04-27 19:25:03 EDT
Fixed in mdadm-1.9.0-3.fc4

Note You need to log in before you can comment on or make changes to this bug.